<?php

session_start();

include_once "admin/conexao.php";

if ($_SESSION['banido'] === '1') {

	die("Você está banido e não permissão para acessar o fórum!");

}

if (!$_SESSION['logado']) {

	header("Location: index.php?site=erro");

} else {

	$login = "Olá, " . $_SESSION['user'] . ".";

}

?>
<html>
<meta charset='UTF-8'>
<head>
<link rel="stylesheet" type="text/css" href="layout/estilo.css">
<title>PhPhórum v1</title>
</head>
<body>
<div class="tudo">
<div class="efeito1">PhPhórum v1 2011</div>
<div class="texto">PhPhórum v1 2011</div>
</div>
<div id="login"><?php echo $login; ?></div>
<br><br>
<div id="menu"><a href='index.php?site=cp'>Painel de controle</a> - <a href='index.php?site=mail'>Caixa de mensagens</a> - <a href='index.php?site=convidar'>Convidar</a> - <a href='index.php?site=faq'>FAQ</a> - <a href='index.php?site=logout'>Logout</a> - <a href='index.php'>Principal</a></div>
<br><br>
<?php

if (isset($_GET['site'])) {
	
	$menu = $_GET['site'];

	switch($menu) {

	case 'login':
		include_once 'login.php';
		break;
	
	case 'cadastro':
		include_once "cadastro.php";
		break;

	case 'cp':
		include_once "cp.php";
		break;

	case 'mail':
		include_once "mail.php";
		break;

	case 'convidar':
		include_once "convidar.php";
		break;

	case 'faq';
		include_once "faq.php";
		break;

	case 'logout':
		include_once "logout.php";
		break;

}

}

?>
<br><br>
<div id="menu_topico">
<?php

if (isset($_POST['postar'])) {

	$erros = FALSE;

	$titulo = filter_var($_POST['titulo'], FILTER_SANITIZE_STRING);
	$titulo = trim($titulo);
	if (empty($titulo)) {

		echo "Título não pode ficar vazio!<br><br>";
		$erros = TRUE;

	}

	$mensagem = filter_var($_POST['mensagem'], FILTER_SANITIZE_STRING);
	$mensagem = trim($mensagem);
	$mensagem = str_replace("\r\n", "<br>", $mensagem);
	if (empty($mensagem)) {

		echo "Mensagem não pode ficar vazia!<br><br>";
		$erros = TRUE;

	}

	if ($erros === FALSE) {

		$id_forum = $_GET['id_forum'];
		$user = $_SESSION['user'];
	
		$location = "forum.php?&id=$id_forum";
	
		$query = $pdo->prepare("INSERT INTO topico (id, id_forum, usuario, titulo, mensagem, data, exibir) VALUES (NULL, ?, ?, ?, ?, NOW(), '1')");
		$query->bindParam(1, $id_forum);
		$query->bindParam(2, $user);
		$query->bindParam(3, $titulo);
		$query->bindParam(4, $mensagem);
		$query->execute();
		header("Location: $location");

	}

}

?>
	
<form method="post" action=""><br>
Titulo<br>
<input type="text" name="titulo" size="50"><br>
Mensagem<br>
<textarea name="mensagem" rows="10" cols="65"></textarea><br>
<input type="submit" name="postar" value="Criar tópico"><input type="reset" name="reset" value="Apagar campos">
</form>
</div>
<br><br>
<div id="rodape">Copyright PhPhórum v1 2011<br>by thiago vaini</div>
</body>
</html>
